### Function

# Ide ThreadPool push_task

#### Declaration

    void
    ide_thread_pool_push_task (
      IdeThreadPoolKind kind,
      GTask* task,
      GTaskThreadFunc func
    )

#### Description

This pushes a task to be executed on a worker thread based on the task kind as denoted by `kind`. Some tasks will be placed on special work queues or throttled based on priority.

Available since: | 3.32

#### Parameters

`kind` | `IdeThreadPoolKind`
| The task kind.
`task` | `GTask`
| A `GTask` to execute.
| The data is owned by the caller of the function.
`func` | `GTaskThreadFunc`
| The thread worker to execute for `task`.